org.apache.sling.auth.xing.api

## Class XingUser

- java.lang.Object
- - org.apache.sling.auth.xing.api.XingUser

    public class XingUser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XingUser()`

### Method Summary

Methods
`String` `getFirstName()`
`String` `getId()`
`String` `getLastName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XingUser

    public XingUser()

### Method Detail

#### getId

    public String getId()

#### getFirstName

    public String getFirstName()

#### getLastName

    public String getLastName()